﻿using System;
using System.Collections.Generic;
using System.Text;
using Docs.Excel;

namespace WriteImages
{
    class Program
    {
        static void Main(string[] args)
        {
            //Create a new workbook.
            ExcelWorkbook Wbook = new ExcelWorkbook();

            //Add new worksheet to workbook.
            Wbook.Worksheets.Add("Sheet1");

            //Insert an image.
            Wbook.Worksheets[0].Pictures.Add(@"..\..\..\Image.jpg");
            
            //Set position of picture.
            Wbook.Worksheets[0].Pictures[0].SetPosition(1, 1);

            //Write .xlsx file.
            Wbook.WriteXLSX(@"..\..\..\WriteImages.xlsx");

            //Open specified file in MS Excel.
            System.Diagnostics.Process.Start(@"..\..\..\WriteImages.xlsx");
        }
    }
}
